
QGIS Application - Bug report #5544

--configpath not used

2012-05-07 05:57 AM - Jean-Roc Morreale

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15137

Description

Hi,

The actual version of QGIS's master has trouble using the "--configpath" boot parameter.

If you set C:\\OSGeo4W\\bin\\qgis-dev.bat --configpath D:\\SIG\\qgis\\ as the path for QGIS to look at and store all its configuration and

cache files, when you try to install a new plugin QGIS will reports the following error (it's looking everywhere, except the configpath) :

Impossible to load plugin 'sextante' from ['C:/OSGeo4W/apps/qgis-dev/./python', 'C:\\Users\\morreale jean roc/.qgis/python',

'C:\\Users\\morreale jean roc/.qgis/python/plugins', 'C:/OSGeo4W/apps/qgis-dev/./python/plugins',

'C:\\OSGeo4W\\bin\\python27.zip', 'C:\\OSGeo4W\\apps\\Python27\\DLLs', 'C:\\OSGeo4W\\apps\\Python27\\lib',

'C:\\OSGeo4W\\apps\\Python27\\lib\\plat-win', 'C:\\OSGeo4W\\apps\\Python27\\lib\\lib-tk', 'C:\\OSGeo4W\\apps\\qgis-dev\\bin',

'C:\\OSGeo4W\\apps\\Python27', 'C:\\OSGeo4W\\apps\\Python27\\lib\\site-packages',

'C:\\OSGeo4W\\apps\\Python27\\lib\\site-packages\\PIL', 'C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools']

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 143, in loadPlugin

    __import__(packageName)

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 309, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named sextante

Version of Python :

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

Version de QGIS :

1.9.90-Alpha Alpha, 991c7ba

Path to Python : ['C:/OSGeo4W/apps/qgis-dev/./python', 'C:\\\\Users\\\\morreale jean roc/.qgis/python', 'C:\\\\Users\\\\morreale jean

roc/.qgis/python/plugins', 'C:/OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\\\OSGeo4W\\\\bin\\\\python27.zip',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk',

'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python27',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']

regards,

jean-roc
Related issues:

Related to QGIS Application - Bug report # 6068: User speficied settings not ... Closed 2012-07-19

Associated revisions

Revision ed0cb5d4 - 2012-05-17 11:28 PM - Jürgen Fischer

fix #5544

Revision 19e2286b - 2012-05-21 04:57 PM - Jürgen Fischer

fix #5544

History

#1 - 2012-05-15 07:34 AM - Jean-Roc Morreale

I redid a try on Windows 7 and 1.8.0-Lisboa Lisboa, 3874b10

I deleted the previous qgis folder so the app would create a brand new one at the indicated path (it created ./gdal_pam/, ./python/ & qgis.db).

When installing a new extension, the error reported is the same as previous. I'll make a try on linux to see if it is the same behaviour.

#2 - 2012-05-15 01:11 PM - Jean-Roc Morreale

I tried on linux (fedora 17) with qgis master, same problem.

#3 - 2012-05-16 06:39 AM - Andreas Neumann

- Target version set to Version 1.8.0

- Priority changed from Normal to Severe/Regression

- Category changed from Python plugins to Project Loading/Saving

I think this should be a blocker. Several organizations rely on this feature in their more complex setups. In my opinion it is inacceptable to release a new

version with such a bug if a feature worked before in a previous major release.

#4 - 2012-05-17 02:30 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"ed0cb5d468d56e4977c9e47bb9cb8852a74f87d0".
